#include <bits/stdc++.h>

using namespace std;

fstream in, out, ans;

void stop(int code, string info) {
	cout << info << endl;
	in.close();
	out.close();
	ans.close();
	exit(code);
}

bool isNum(char c) {
	return ('0' <= c && c <= '9');
}

bool isNum(string s) {
	if (s.size() == 0)
		return false;
	if (s.size() != 1 && s[0] == '0')
		return false;
	for (int i = 0; i < s.size(); ++i) {
		if (!isNum(s[i]))
			return false;
	}
	return true;
}

long long toInt(string s) {
	long long res = 0;
	for (auto c : s) {
		res *= 10;
		res += c - '0';
	}
	return res;
}

string toString(long long x) {
	if (x == 0)
		return "0";
	string res;
	while (x) {
		char c = x % 10 + '0';
		x /= 10;
		res += c;
	}
	reverse(res.begin(), res.end());
	return res;
}

int main(int argc, char *argv[]) {
	in.open(argv[1]);
	out.open(argv[2]);
	ans.open(argv[3]);

	int n;
	in >> n;
	long long sumIn = 0;
	for (int i = 0; i < n; ++i) {
		int a, b;
		in >> a >> b;
		sumIn += a * b;
	}
	int resIn = !!(sumIn % n);

	string res;
	out >> res;
	if (!isNum(res)) {
		stop(2, "Expected result is int, found: " + res);
	}
	long long resOut = toInt(res);
	long long sumOut = 0;
	long long minOut = 1e18;
	long long maxOut = 0;
	for (int i = 0; i < n; ++i) {
		string A, B;
		out >> A >> B;
		if (!isNum(A)) {
			stop(2, "Expected a is int, found: " + A);
		}
		if (!isNum(B)) {
			stop(2, "Expected b is int, found: " + B);
		}
		long long a = toInt(A);
		long long b = toInt(B);
		sumOut += a * b;
		minOut = min(minOut, a * b);
		maxOut = max(maxOut, a * b);
	}
	string empt;
	out >> empt;
	if (!empt.empty()) {
		stop(2, "Expected end of output, found: " + empt);
	}

	if (resIn != resOut) {
		stop(1, "Wrong answer: expected result: " + toString(resIn) + ", found: " + toString(resOut));
	}
	if (sumIn != sumOut) {
		stop(1, "Wrong answer: expected sum: " + toString(sumIn) + ", found: " + toString(sumOut));
	}
	if (resOut != maxOut - minOut) {
		stop(1, "Wrong answer: expected result: " + toString(resOut) + ", calculation: " + toString(maxOut - minOut));
	}

	stop(0, "Ok");
	return 0;
}
